import { HcApi } from "../../request/index";

export default {
    async archiveTreeInit(data) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/init",
            method: "post",
            params: data,
        });
    },

    async lazyTree(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/lazy-tree",
            method: "get",
            params,
        });
    },
    async remove(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/remove",
            method: "post",
            params,
        });
    },
    async archiveTreeSave(data) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/save",
            method: "post",
            data,
        });
    },
    async archiveTreeUpdate(data) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/update",
            method: "post",
            data,
        });
    },
    async archiveTreeDetail(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/detail",
            method: "get",
            params,
        });
    },
    async archiveTreetree(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/tree",
            method: "get",
            params,
        });
    },
    async submitDisplayConfigTree(data) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/submit-display-config-tree",
            method: "post",
            data,
        });
    },
    async getSameGradeNode(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/get-same-grade-node",
            method: "get",
            params,
        });
    },
    async submitArchiveTreeSort(data) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/submit-tree-sort",
            method: "post",
            data,
        });
    },
    async saveArchiveAutoRule(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/saveArchiveAutoRule",
            method: "post",
            params,
        });
    },
    async removeArchiveAutoRule(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/removeArchiveAutoRule",
            method: "post",
            params,
        });
    },
    async getArchiveAutoRule(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/getArchiveAutoRule",
            method: "post",
            params,
        });
    },
    async updateArchiveAutoRules(params) {
        return HcApi({
            url: "/api/blade-manager/archiveTree/updateArchiveAutoRule",
            method: "post",
            params,
        });
    },
    async syncProjectTree(params) {
        return HcApi({
            url: "'/api/blade-manager/archiveTree/syncProjectTree",
            method: "post",
            params,
        });
    },
};
